import AccessGateComponent from './AccessGate.vue';
import AccessGateModule from './index';
import submitField from './submitField.vue';

function install (Vue, args) {
  Vue.component('fieldGateSubmit', submitField);
  Vue.component('access-gate', AccessGateComponent);
  args.Store.registerModule('accessGate', AccessGateModule);
  args.Store.commit('accessGate/setOptions', args.options);
}
export default {
  install
};
